package com.ejie.m62fb.model.tipos;

public class TipoEstadoCivil extends AbstractTipoGenericoP28 {

	private static final long serialVersionUID = 1L;

	/**
	 * Valor que hace referencia al campo de BBDD
	 * 
	 * NUM_REGISTRO
	 */
	public static final long NUM_REGISTRO = P28Tipos.ESTADO_CIVIL;

	/**
	 * Method 'TipoEstadoCiivil'.
	 */
	public TipoEstadoCivil() {
		super(TipoEstadoCivil.NUM_REGISTRO);
	}

	/**
	 * Method 'TipoEstadoCiivil'.
	 * 
	 * @param codTabla
	 *            String
	 */
	public TipoEstadoCivil(String codTabla) {
		super(TipoEstadoCivil.NUM_REGISTRO, codTabla);
	}

	/**
	 * Method 'TipoEstadoCivil'.
	 * 
	 * @param codTabla
	 *            String
	 * @param descripcionEs
	 *            String
	 * @param descripcionEu
	 *            String
	 */
	public TipoEstadoCivil(String codTabla, String descripcionEs,
			String descripcionEu) {
		super(TipoEstadoCivil.NUM_REGISTRO, codTabla, descripcionEs,
				descripcionEu);
	}
}